/**
 * Inline plugin for checkboxes.
 * @param {Object} options - Options.
 * @param {Function} options.success On success function.
 * @param {Function} options.undo Do it after undo.
 * @author kszafranek, bsiudak
 */
$.fn.inlineDetailsCheckbox = function(options) {
	'use strict';

	if (!options) {
		options = {};
	}

	this.find('input:checkbox').click(function() {
		var element = $(this);
		var link = baseurl + '/inline/submit';
		var rel = element.attr('rel').replace(/'/g, '"');
			rel = JSON.parse(rel);
			rel.value = element.is(':checked') ? 1 : 0;
			rel.token = popups.getCsrfToken();
		
		$.post(link, rel, function(data) {
			if (typeof options.success === 'function') {
				options.success(data, element);
			}
			
			showError(data);
			$('#top_message_box a.ajax_undo').ajaxUndo(function(data) {
				if (typeof options.undo === 'function') {
					options.undo(data, element);
				}
			});
			
			updatePage();
		}, 'json');
	});
};
